<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% block stylesheets %}
        <link href="{{ asset('build/app.css') }}" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    {% endblock %}

    {% block javascripts %}
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    {% endblock %}
</head>

    <body>
        <header>
            <div id="prevention">
                <div id="contenu-prevention">
                    Famille, Vie sociale, Santé financière. Êtes-vous prêt à tout miser  ?
                    Pour être aidé appelez le 09-74-75-13-13 (Appel non surtaxé)
                </div>
            </div>
            <div class="line"></div>
            <nav class="bar_nav_front">
                <div class="bar_nav-wrapper" height="40px">
                    <a href="/" class="brand-logo" style="margin-left:15px;" height="40px">
                        <img src="{{ asset('img/ANYBET.png') }}" alt="logo anybet" class="logo-user-template" width="90px" height="36px">
                    </a>
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger" height="40px"><i class="material-icons">menu</i></a>
                    <ul id="nav-mobile" class="right hide-on-med-and-down" height="40px">

                        {% if is_granted('ROLE_ADMIN') and is_granted('ROLE_USER') %}
                            <li><a href="{{ path('admin_category_index') }}" class="link-base-front">Espace administrateur</a></li>
                            <li><a href="/categories" class="link-base-front">Catégorie</a></li>
                            <li><a href="{{ path('app_create_bet') }}" class="link-base-front">Création de paris</a></li>
                            <li><a href="{{ path('app_profile_my_bets') }}" class="link-base-front">Mes paris</a></li>
                            <li><a href="{{ path('app_wallet') }}" class="link-base-front">Ma cagnotte</a></li>
                            <li>|</li>
                            <li><a href="{{ path('app_logout') }}" class="link-base-front">Se déconnecter</a></li>
                            <li><a href="{{ path('user_edit', {'id': app.user.id}) }}" class="link-base-front">Bonjour {{ app.user.firstname }}</a></li>
                        {% elseif is_granted('ROLE_USER') %}
                            <li><a href="/categories" class="link-base-front">Catégorie</a></li>
                            <li><a href="{{ path('app_create_bet') }}" class="link-base-front">Création de paris</a></li>
                            <li><a href="{{ path('app_profile_my_bets') }}" class="link-base-front">Mes paris</a></li>
                            <li><a href="{{ path('app_wallet') }}" class="link-base-front">Ma cagnotte</a></li>
                            <li>|</li>
                            <li><a href="{{ path('app_logout') }}" class="link-base-front">Se déconnecter</a></li>
                            <li><a href="{{ path('user_edit', {'id': app.user.id}) }}" class="link-base-front">Bonjour {{ app.user.firstname }}</a></li>
                        {% else %}
                            <li><a href="/categories" class="link-base-front">Catégorie</a></li>
                            <li><a href="{{ path('app_create_bet') }}" class="link-base-front">Création de paris</a></li>
                            <li>|</li>
                            <li><a href="{{ path('app_register')}}" class="link-base-front">S'inscrire</a></li>
                            <li><a href="{{ path('app_login')}}" class="link-base-front">Se connecter</a></li>
                        {% endif %}

                    </ul>
                </div>


            <ul class="sidenav" id="mobile-demo" height="40px">

                {% if is_granted('ROLE_USER') %}

                    <li><a href="/categories" class="link-base-front">Catégorie</a></li>
                    <li><a href="{{ path('app_create_bet') }}" class="link-base-front">Création de paris</a></li>
                    <li><a href="{{ path('app_profile_my_bets') }}" class="link-base-front">Mes paris</a></li>
                    <li><a href="{{ path('app_wallet') }}" class="link-base-front">Ma cagnotte</a></li>
                    <li><a href="{{ path('app_logout') }}" class="link-base-front">Se déconnecter</a></li>
                    <li><a href="{{ path('user_edit', {'id': app.user.id}) }}" class="link-base-front">Bonjour {{ app.user.firstname }}</a></li>

                {% else %}

                    <li><a href="/categories" class="link-base-front">Catégorie</a></li>
                    <li><a href="{{ path('app_create_bet') }}" class="link-base-front">Création de paris</a></li>
                    <li><a href="{{ path('app_register') }}" class="link-base-front">S'inscrire</a></li>
                    <li><a href="{{ path('app_login') }}" class="link-base-front">Se connecter</a></li>
                {% endif %}
            </ul>
            {% if  app.request.attributes.get('_route') != 'default' and app.request.attributes.get('_route') != 'categories' and app.request.attributes.get('_route') != 'evenements' and app.request.attributes.get('_route') != 'user_bet' and app.request.attributes.get('_route') != 'app_create_bet' and app.request.attributes.get('_route') != 'app_profile_bet' and app.request.attributes.get('_route') != 'app_bet_user_invite' %}
            <div class="row">
                <ul class="tabs-custom" width="100%" >
                    <li class="tab-custom col s2"><a href="{{ path('user_edit', {'id': app.user.id}) }}">Mon profil</a></li>
                    <li class="tab-custom col s2"><a href="{{ path ('app_profile_wallet') }}">Recharge cagnotte</a></li>
                    <li class="tab-custom col s3"><a href="{{ path ('app_profile_stat') }}">Statistiques du compte</a></li>
                    <li class="tab-custom col s3"><a href="{{ path ('app_profile_transaction') }}">Historique des transactions</a></li>
                    <li class="tab-custom cols2"><a href="{{ path ('app_profile_my_bets') }}">Mes paris</a></li>
                </ul>
            </div>
            {% endif %}

        </nav>

            {% if  app.request.attributes.get('_route') == 'default' %}

                {{ form(form) }}

                {% if searchResultCat != null or searchResultEvent != null or searchResultBet != null %}
                    <ul class="searchResults">
                        {% if searchResultCat != null %}
                            <div class="title-search-box">

                                <p class="searchResults-title">Catégories :</p>
                                <i class="close-search material-icons">close</i>
                            </div>

                        {% endif %}

                        {% for result in searchResultCat %}
                            <li><a href="/evenements/{{ result.id }}">{{ result.name }}</a></li>
                        {% endfor %}

                        {% if searchResultEvent != null %}
                            <div class="title-search-box">
                                <p class="searchResults-title">Événements :</p>
                                <i class="close-search material-icons">close</i>
                            </div>
                        {% endif %}

                        {% for result in searchResultEvent %}
                            <li><a href="/bet/{{ result.id }}">{{ result.name }}</a></li>

                        {% endfor %}

                        {% if searchResultBet != null %}
                            <div class="title-search-box">
                                <p class="searchResults-title">Paris :</p>
                                <i class="close-search material-icons">close</i>
                            </div>
                        {% endif %}

                        {% for result in searchResultBet %}
                            <li><a href="profil/pari/{{ result.id }}">{{ result.name }}</a></li>
                        {% endfor %}


                    </ul>

                {% endif %}

            {% endif %}


        </header>
        <div class="container-body">
            <div class="body-content">
                {% if  app.request.attributes.get('_route') == 'default' or app.request.attributes.get('_route') == 'categories' or app.request.attributes.get('_route') == 'evenements' or app.request.attributes.get('_route') == 'user_bet'%}

                    <div class="left-side-bar">
                        <div class="rien"></div>
                    </div>
                    
                {% endif %}
                {% block section %}{% endblock %}
                {% if  app.request.attributes.get('_route') == 'default' or app.request.attributes.get('_route') == 'categories' or app.request.attributes.get('_route') == 'evenements' or app.request.attributes.get('_route') == 'user_bet' or app.request.attributes.get('_route') == 'app_profile_bet' or app.request.attributes.get('_route') == 'app_bet_user_invite' %}



                <div class="right-side-bar">
                    <div class="title-content-panier">
                        <div id="title-box-panier">
                            Panier
                        </div>
                        <div id="panier">

                            {% for betChoiceAsUser in asUser.findBy({'user_idUser':app.user, 'validated':false}) %}
                                <div id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="addBet">
                                    <div class="panier-titles">
                                        <div id="event-{{ betChoiceAsUser.getIdBetChoice().id }}" class="panier-event-title">{{ betChoiceAsUser.getIdBetChoice().getBet().getEventIdEvent().name }}</div>
                                        <div id="event-{{ betChoiceAsUser.getIdBetChoice().id }}" class="panier-bet-title">{{ betChoiceAsUser.getIdBetChoice().getBet().name }} : {{ betChoiceAsUser.getIdBetChoice().name }}</div>
                                    </div>

                                    <div id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="mise-box">
                                        <div class="cote-boxe">
                                            <div class="cote-title">Cote</div>
                                            <div id="cote-{{ betChoiceAsUser.getIdBetChoice().id }}" class="cote" >{{ betChoiceAsUser.ratingAtThisMoment }} </div>
                                        </div>
                                        <input id="{{ betChoiceAsUser.getIdBetChoice().id }}" class="input-box" placeholder="Saisis ta mise" type="number">
                                        <div id="bet-choice-{{ betChoiceAsUser.getIdBetChoice().id }}" class="gain"></div>
                                    </div>
                                </div>

                            {% endfor %}
                        </div>
                    </div>

                    <div class="caisse">
                        <div class="total-mise">
                            <div class="total-mise-text">Mise totale</div>
                            <div id="total-mise-value" class="total-mise-value"></div>
                        </div>
                        <div class="total-mise">
                            <div class="total-mise-text">Gain total</div>
                            <div id="total-gain-value" class="total-gain-value"></div>
                        </div>

                        <div class="button-caisse">
                            <div id="validate" onclick="onClickLinkValidate()">Parier</div>
                        </div>
                    </div>

                </div>

                {% endif %}

            </div>

        </div>

    </body>

    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="{{ asset('js/createBetForm.js') }}"></script>
    <script src="{{ asset('js/modalInviteUserPrivateBet.js') }}"></script>
    <script src="{{ asset('js/copyPasteBetLink.js') }}"></script>
    <script src="{{ asset("js/amount.js") }}"></script>
    <script src="{{ asset('js/create.js') }}"></script>
    <script>
        
        $(document).ready(function(){
            $('.sidenav').sidenav();
        });

        {% for type, messages in app.flashes() %}
            {% for message in messages %}
                M.toast({html: '{{ message }}', classes: '{{ type }}'});
            {% endfor %}
        {% endfor %}

        $('.close-search').on('click', function(){
            $('.searchResults').detach();
        })



        $('input.input-box').on('change paste keyup', function() {
            let gain_potentiel = ($(this).val()*$(this).prev().children(".cote").text()).toFixed(2);
            $(this).next().text(gain_potentiel+'€');

            $(".total-mise-value").text(function(){
                //console.log($('input.input-box').toArray());

                return $('input.input-box').toArray().reduce(function(tot, val) {
                    let a = parseInt(val.value);
                    a = a || 0
                    return tot + a;
                }, 0) + "€";


            });

            $(".total-gain-value").text(function(){
                //console.log($('input.input-box').toArray());

                return $('input.input-box').toArray().reduce(function(tot, val) {
                    // console.log(document.getElementById(`cote-${val.id}`).textContent);
                    let a = parseInt(val.value)*document.getElementById(`cote-${val.id}`).textContent;
                    a = a || 0
                    return tot + a;
                }, 0).toFixed(2) + "€";


            });
        });

        Array.from(document.querySelectorAll('a.choice-button')).forEach(function (link) {
            link.addEventListener('click', onClickLink);
        });


        async function onClickLink(event) {
            event.preventDefault();
            const url = this.href;
            const local = $(this);
            axios.get(url).then(function(response) {
                if (response.data['status'] === 'add') {
                    // console.log(response);
                    local.toggleClass("selected");
                    createElem('','div', local.attr('name'), 'addBet', '', document.getElementById('panier') );
                    createElem('','div', `box-title-${local.attr('name')}`, 'panier-titles', "",document.getElementById(local.attr('name')) );
                    createElem('','div', `event-${local.attr('name')}`, 'panier-event-title', response.data['Event name'],document.getElementById(`box-title-${local.attr('name')}`) );
                    createElem('','div', `bet-${local.attr('name')}`, 'panier-bet-title', response.data['Bet name']+" : "+local.attr('id'), document.getElementById(`box-title-${local.attr('name')}`));

                    createElem('','div', `box-input-${local.attr('name')}`, 'mise-box', '',document.getElementById(local.attr('name')) );
                    createElem('','div', `cote-boxe-${local.attr('name')}`, 'cote-boxe', '',document.getElementById(`box-input-${local.attr('name')}`) );
                    createElem('','div', `${local.attr('name')}`, 'cote-title', 'Cote',document.getElementById(`cote-boxe-${local.attr('name')}`) );
                    createElem('','div', `cote-${local.attr('name')}`, 'cote', response.data['rating'],document.getElementById(`cote-boxe-${local.attr('name')}`) );
                    createInput('','input', `${local.attr('name')}`, 'input-box', "",document.getElementById(`box-input-${local.attr('name')}`) );
                    createElem('','div', `bet-choice-${local.attr('name')}`, 'gain', '',document.getElementById(`box-input-${local.attr('name')}`) );
                    $(document).ready(function () {
                        $("input").on("change paste keyup", function () {
                            $(this).next().text(($(this).val()*$(this).prev().children(".cote").text()).toFixed(2)+'€');
                        });
                    });

                    $('input.input-box').on('change paste keyup', function() {
                        $(".total-mise-value").text(function(){
                            //console.log($('input.input-box').toArray());

                            return $('input.input-box').toArray().reduce(function(tot, val) {
                                let a = parseInt(val.value);
                                a = a || 0
                                return tot + a;
                            }, 0) + "€";


                        });
                    });

                    $(".total-gain-value").text(function(){
                        //console.log($('input.input-box').toArray());

                        return $('input.input-box').toArray().reduce(function(tot, val) {
                            //console.log(document.getElementById(`cote-${val.id}`).textContent);
                            let a = parseInt(val.value)*document.getElementById(`cote-${val.id}`).textContent;
                            a = a || 0
                            return tot + a;
                        }, 0).toFixed(2) + "€";


                    });


                } else {
                    local.removeClass("selected");
                    document.getElementById(local.attr('name')).remove();
                }

            })
        }

        function createElem(fct, type, id, classe, content, currentDiv){
            let newDiv = document.createElement(type);
            newDiv.id = id;
            newDiv.className = classe;
            newDiv.textContent = content;
            newDiv.onclick = fct;
            currentDiv.appendChild(newDiv);
        }

        function createInput(fct, type, id, classe, content, currentDiv){
            let newDiv = document.createElement(type);
            newDiv.id = id;
            newDiv.className = classe;
            newDiv.textContent = content;
            newDiv.onclick = fct;
            newDiv.placeholder = "Saisis ta mise";
            newDiv.type="number";


            currentDiv.appendChild(newDiv);
        }

    async function onClickLinkValidate() {

        window.location.href = "http://localhost/validate";

        // Calcul du montant à payer
        let allStake = {};
        let allElem = document.querySelectorAll('.input-box');
        let amount = 0;
        for(const element of allElem){
            allStake[element.id] = element.value;
            amount += parseInt(element.value);
        }
        document.cookie = "stake=" + allStake;

        document.cookie = "amount_cart=" + amount;
    }
        

    function scrollToAnchor(aid){
        var aTag = $("a[name='"+ aid +"']");
        $('html,body').animate({scrollTop: aTag.offset().top},'slow');
    }

    </script>
</body>
</html>
